%define module HaXml

Name: haskell-%{module}
Version: 1.20
Release: %mkrel 2
Summary: A library to parse/write XML files
Url: http://www.cs.york.ac.uk/fp/HaXml
Group: Development/Other
License: LGPL
Source: http://hackage.haskell.org/packages/archive/%{module}/%{version}/%{module}-%{version}.tar.gz
BuildRequires: ghc
BuildRequires: haddock
BuildRequires: haskell(polyparse) >= 1.2
BuildRequires: haskell-macros
BuildRoot: %_tmppath/%name-%version-%release-root

%description
Haskell utilities for parsing, filtering, transforming and
generating XML documents.

%prep
%setup -q -n %{module}-%{version}

%build
%_cabal_build

%_cabal_genscripts

%check
%_cabal_check

%install
%_cabal_install

rm -fr %{buildroot}/%_datadir/*/doc/

%_cabal_rpm_gen_deps

%_cabal_scriptlets

%files
%defattr(-,root,root)
%_libdir/%{module}-%{version}
%{_docdir}/%{module}-%{version}
%_bindir/*
%_cabal_rpm_files

%clean
rm -fr %buildroot


%changelog
* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 1.20-2mdv2010.1
+ Revision: 503703
- rebuild for new gmp

* Sun Dec 06 2009 Funda Wang <fwang@mandriva.org> 1.20-1mdv2010.1
+ Revision: 474048
- BR macros
- new version 1.20

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Feb 27 2007 Olivier Thauvin <nanardon@mandriva.org> 1.13.2-1mdv2007.0
+ Revision: 126205
- initial mandriva rpm
- Create haskell-HaXml

